summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorHaelwenn (lanodan) Monnier <contact@hacktivis.me>2018-03-26 20:54:38 +0200
committerAaron Bauman <bman@gentoo.org>2018-03-26 15:22:38 -0400
commit2dc67948272d39763cb9e63612bf690e1623ef69 (patch)
treedf60f4ed7e731c6b6d6d7ba29bfce63487bc11a4
parentx11-misc/i3status: use HTTPS instead of HTTP (diff)
downloadgentoo-2dc67948272d39763cb9e63612bf690e1623ef69.tar.gz
gentoo-2dc67948272d39763cb9e63612bf690e1623ef69.tar.bz2
gentoo-2dc67948272d39763cb9e63612bf690e1623ef69.zip
app-editors/vis: Bump to version 0.5
Closes: https://github.com/gentoo/gentoo/pull/7630
-rw-r--r--app-editors/vis/Manifest2
-rw-r--r--app-editors/vis/vis-0.5.ebuild63
2 files changed, 65 insertions, 0 deletions
diff --git a/app-editors/vis/Manifest b/app-editors/vis/Manifest
index 3432526a0ce..8b01ce71592 100644
--- a/app-editors/vis/Manifest
+++ b/app-editors/vis/Manifest
@@ -1,2 +1,4 @@
DIST vis-0.4.tar.gz 381046 BLAKE2B 612d9f17c5ffb00be9e5c14da0d52257e55e53250cb9ba80750feaf5d90caa53aed0f02e32413a10f161e121019cf758902158ddeac09c2516d18779f4264cda SHA512 d8fcf667ecad7b32752d6c5dbd004544e1a9283775d54d93c24ce8f314b98154aed5c6014cc03223d8427c2b1e3fd0d4b348dfa12ce30236fddd93b34521ee5f
+DIST vis-0.5.tar.gz 390461 BLAKE2B e628891c48dbbd11ed706768a3c625ffe9edf4fea3cd77452b4b41ae0d50194a31647e4cc945b69fb3af8fe7fd76ebf5f7afd8c2baa356f5f9fd3cc04be129ca SHA512 fe6b0394006562177efdf06713d7b95cd12fabf90b171c262eb2620d2b0944e73d3d8bb61f4f0d43d32154f0490c338bbc161a89455b14bb8a9d22cd75097780
DIST vis-test-0.2.tar.gz 97770 BLAKE2B 9f8e31eb70ab8f9ce089f66ef29520e8250e02de375f9f8f0e33722c6a392bc6e04e7122728826708b305fb439c2b39f7fe3e233d7be162930aa46bf31bdb005 SHA512 892effa08c80c75e78eeb993ba8a0ddc110cc6f654fa1bf970454c35c839e9467b0ab41578f49af1fba0514c61f887fa044b9d01ab58f4dd749582a9550a2c29
+DIST vis-test-0.3.tar.gz 97814 BLAKE2B f62b216df3d846bb8bfdb14f6092309b55f6571cbc980e7a9aed46b1672fbaa65c007ac4617266dff3d5ad0293e3f5e7bd8390252817ebcdd6f64edb350f82ee SHA512 5f68a70cf6f1fb64f9b50c1a56940c966f205e51240c7dd1175bc15f3e42b475fb6842a53e36547113955c2efa359de0cc71e0800305b0e45881c319a14564e5
diff --git a/app-editors/vis/vis-0.5.ebuild b/app-editors/vis/vis-0.5.ebuild
new file mode 100644
index 00000000000..33e87890b26
--- /dev/null
+++ b/app-editors/vis/vis-0.5.ebuild
@@ -0,0 +1,63 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+MY_PTV=0.3
+
+DESCRIPTION="modern, legacy free, simple yet efficient vim-like editor"
+HOMEPAGE="https://github.com/martanne/vis"
+SRC_URI="https://github.com/martanne/vis/releases/download/v${PV}/vis-v${PV}.tar.gz -> ${P}.tar.gz
+ test? ( https://github.com/martanne/vis-test/releases/download/v${MY_PTV}/vis-test-${MY_PTV}.tar.gz -> vis-test-${MY_PTV}.tar.gz )"
+LICENSE="ISC"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="+ncurses selinux test tre"
+
+#Note: vis is reported to also work with NetBSD curses
+#TODO: >=dev-lang/lua-5.2 (needed for syntax highlighting and settings)
+DEPEND="dev-libs/libtermkey
+ ncurses? ( sys-libs/ncurses:0= )
+ tre? ( dev-libs/tre:= )"
+RDEPEND="${DEPEND}
+ app-eselect/eselect-vi"
+
+S="${WORKDIR}/vis-v${PV}"
+
+src_prepare() {
+ if use test; then
+ rm -r test || die
+ mv "${WORKDIR}/vis-test-${MY_PTV}" test || die
+ if ! type -P vim &>/dev/null; then
+ sed -i 's/.*vim.*//' test/Makefile || die
+ fi
+ fi
+
+ sed -i 's|STRIP?=.*|STRIP=true|' Makefile || die
+ sed -i 's|${DOCPREFIX}/vis|${DOCPREFIX}|' Makefile || die
+ sed -i 's|DOCUMENTATION = LICENSE|DOCUMENTATION =|' Makefile || die
+
+ default
+}
+
+src_configure() {
+ ./configure \
+ --prefix="${EROOT}usr" \
+ --docdir="${EROOT}usr/share/doc/${PF}" \
+ $(use_enable ncurses curses) \
+ $(use_enable selinux) \
+ $(use_enable tre) || die
+}
+
+update_symlinks() {
+ einfo "Calling eselect vi update --if-unset…"
+ eselect vi update --if-unset
+}
+
+pkg_postrm() {
+ update_symlinks
+}
+
+pkg_postinst() {
+ update_symlinks
+}